org.eclipse.rdf4j.model.impl

## Class SimpleLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.impl.SimpleLiteral

- All Implemented Interfaces:
    Serializable, Literal, Value
  Direct Known Subclasses:
    BooleanLiteral, CalendarLiteral, DecimalLiteral, IntegerLiteral, LiteralImpl, MemLiteral, NativeLiteral, NumericLiteral

      public class SimpleLiteral
      extends Object
      implements Literal

  A simple default implementation of the `Literal` interface.
  Author:
    Arjohn Kampman, David Huynh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleLiteral()`
    `protected` | `SimpleLiteral(String label)` Creates a new plain literal with the supplied label.
    `protected` | `SimpleLiteral(String label, IRI datatype)` Creates a new datatyped literal with the supplied label and datatype.
    `protected` | `SimpleLiteral(String label, String language)` Creates a new plain literal with the supplied label and language tag.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanValue()` Returns the `boolean` value of this literal.
    `byte` | `byteValue()` Returns the `byte` value of this literal.
    `XMLGregorianCalendar` | `calendarValue()` Returns the `XMLGregorianCalendar` value of this literal.
    `BigDecimal` | `decimalValue()` Returns the decimal value of this literal.
    `double` | `doubleValue()` Returns the `double` value of this literal.
    `boolean` | `equals(Object o)` Compares a literal object to another object.
    `float` | `floatValue()` Returns the `float` value of this literal.
    `IRI` | `getDatatype()` Gets the datatype for this literal.
    `String` | `getLabel()` Gets the label (the lexical value) of this literal.
    `Optional<String>` | `getLanguage()` Gets the language tag for this literal, normalized to lower case.
    `int` | `hashCode()` Returns the literal's hash code.
    `BigInteger` | `integerValue()` Returns the integer value of this literal.
    `int` | `intValue()` Returns the `int` value of this literal.
    `long` | `longValue()` Returns the `long` value of this literal.
    `protected void` | `setDatatype(IRI datatype)`
    `protected void` | `setLabel(String label)`
    `protected void` | `setLanguage(String language)`
    `short` | `shortValue()` Returns the `short` value of this literal.
    `String` | `stringValue()` Returns the String-value of a `Value` object.
    `String` | `toString()` Returns the label of the literal with its language or datatype.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLiteral

          protected SimpleLiteral()

    - #### SimpleLiteral

          protected SimpleLiteral(String label)

      Creates a new plain literal with the supplied label.
      Parameters:
        `label` - The label for the literal, must not be `null`.

    - #### SimpleLiteral

          protected SimpleLiteral(String label,
                                  String language)

      Creates a new plain literal with the supplied label and language tag.
      Parameters:
        `label` - The label for the literal, must not be `null`.
        `language` - The language tag for the literal, must not be `null` and not be empty.

    - #### SimpleLiteral

          protected SimpleLiteral(String label,
                                  IRI datatype)

      Creates a new datatyped literal with the supplied label and datatype.
      Parameters:
        `label` - The label for the literal, must not be `null`.
        `datatype` - The datatype for the literal.

  - ### Method Detail

    - #### setLabel

          protected void setLabel(String label)

    - #### getLabel

          public String getLabel()

      Description copied from interface: `Literal`
      Gets the label (the lexical value) of this literal.
      Specified by:
        `getLabel` in interface `Literal`
      Returns:
        The literal's label.

    - #### setLanguage

          protected void setLanguage(String language)

    - #### getLanguage

          public Optional<String> getLanguage()

      Description copied from interface: `Literal`
      Gets the language tag for this literal, normalized to lower case.
      Specified by:
        `getLanguage` in interface `Literal`
      Returns:
        The language tag for this literal, or `Optional.empty()` if it doesn't have one.

    - #### setDatatype

          protected void setDatatype(IRI datatype)

    - #### getDatatype

          public IRI getDatatype()

      Description copied from interface: `Literal`
      Gets the datatype for this literal. If `Literal.getLanguage()` returns a non-empty value than this must return `RDF.LANGSTRING`. If no datatype was assigned to this literal by the creator, then this method must return `XSD.STRING`.
      Specified by:
        `getDatatype` in interface `Literal`
      Returns:
        The datatype for this literal.

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `Literal`
      Compares a literal object to another object.
      Specified by:
        `equals` in interface `Literal`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - The object to compare this literal to.
      Returns:
        `true` if the other object is an instance of `Literal` and if their labels, language tags and datatypes are equal.

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Literal`
      Returns the literal's hash code. The hash code of a literal is defined as the hash code of its label: `label.hashCode()`.
      Specified by:
        `hashCode` in interface `Literal`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        A hash code for the literal.

    - #### toString

          public String toString()

      Returns the label of the literal with its language or datatype. Note that this method does not escape the quoted label.
      Overrides:
        `toString` in class `Object`
      See Also:
        `NTriplesUtil.toNTriplesString(org.eclipse.rdf4j.model.Literal)`

    - #### stringValue

          public String stringValue()

      Description copied from interface: `Value`
      Returns the String-value of a `Value` object. This returns either a `Literal`'s label, a `IRI`'s URI or a `BNode`'s ID.
      Specified by:
        `stringValue` in interface `Value`

    - #### booleanValue

          public boolean booleanValue()

      Description copied from interface: `Literal`
      Returns the `boolean` value of this literal.
      Specified by:
        `booleanValue` in interface `Literal`
      Returns:
        The `long` value of the literal.

    - #### byteValue

          public byte byteValue()

      Description copied from interface: `Literal`
      Returns the `byte` value of this literal.
      Specified by:
        `byteValue` in interface `Literal`
      Returns:
        The `byte value of the literal. @throws NumberFormatException If the literal cannot be represented by a `byte`.`

    - #### shortValue

          public short shortValue()

      Description copied from interface: `Literal`
      Returns the `short` value of this literal.
      Specified by:
        `shortValue` in interface `Literal`
      Returns:
        The `short` value of the literal.

    - #### intValue

          public int intValue()

      Description copied from interface: `Literal`
      Returns the `int` value of this literal.
      Specified by:
        `intValue` in interface `Literal`
      Returns:
        The `int` value of the literal.

    - #### longValue

          public long longValue()

      Description copied from interface: `Literal`
      Returns the `long` value of this literal.
      Specified by:
        `longValue` in interface `Literal`
      Returns:
        The `long` value of the literal.

    - #### floatValue

          public float floatValue()

      Description copied from interface: `Literal`
      Returns the `float` value of this literal.
      Specified by:
        `floatValue` in interface `Literal`
      Returns:
        The `float` value of the literal.

    - #### doubleValue

          public double doubleValue()

      Description copied from interface: `Literal`
      Returns the `double` value of this literal.
      Specified by:
        `doubleValue` in interface `Literal`
      Returns:
        The `double` value of the literal.

    - #### integerValue

          public BigInteger integerValue()

      Description copied from interface: `Literal`
      Returns the integer value of this literal.
      Specified by:
        `integerValue` in interface `Literal`
      Returns:
        The integer value of the literal.

    - #### decimalValue

          public BigDecimal decimalValue()

      Description copied from interface: `Literal`
      Returns the decimal value of this literal.
      Specified by:
        `decimalValue` in interface `Literal`
      Returns:
        The decimal value of the literal.

    - #### calendarValue

          public XMLGregorianCalendar calendarValue()

      Description copied from interface: `Literal`
      Returns the `XMLGregorianCalendar` value of this literal. A calendar representation can be given for literals whose label conforms to the syntax of the following XML Schema datatypes: `dateTime`, `time`, `date`, `gYearMonth`, `gMonthDay`, `gYear`, `gMonth` or `gDay`.
      Specified by:
        `calendarValue` in interface `Literal`
      Returns:
        The calendar value of the literal.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.